## layer-shell-qt 6.1.4

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Aleix Pol Gonzalez <aleixpol@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

project(layershellqt)
set(PROJECT_VERSION "6.1.4")
set(PROJECT_VERSION_MAJOR 6)

set(CMAKE_C_STANDARD 99)

set(QT_MIN_VERSION "6.6.0")
set(KF6_MIN_VERSION "6.2.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(GenerateExportHeader)
include(KDEClangFormat)
include(ECMQtDeclareLoggingCategory)
include(ECMQmlModule)
include(KDEGitCommitHooks)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient Qml)
find_package(WaylandScanner REQUIRED)
find_package(Wayland 1.3 COMPONENTS Client Server)
find_package(WaylandProtocols REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(XKBCOMMON xkbcommon REQUIRED IMPORTED_TARGET)

set_package_properties(Wayland PROPERTIES
                       TYPE REQUIRED)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX LAYERSHELLQT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/layershellqt_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/LayerShellQtConfigVersion.cmake"
                        SOVERSION ${PROJECT_VERSION_MAJOR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_set_disabled_deprecation_versions(QT 6.5
    KF 5.240
)

add_subdirectory(src)
add_subdirectory(tests)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_CMAKEPACKAGEDIR}/LayerShellQt)
install(EXPORT LayerShellQtTargets
        NAMESPACE LayerShellQt::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE LayerShellQtTargets.cmake)

configure_package_config_file(LayerShellQtConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/LayerShellQtConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LayerShellQtConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/LayerShellQtConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
layer-shell-qt (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)
  * Mark two symbols as optional to fix FTBFS on Ubuntu buildds.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 17:28:07 +0100

layer-shell-qt (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:13 +0200

layer-shell-qt (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * New binary packages liblayershellqtinterface6 and qml6-module-org-
    kde-layershell.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Jun 2024 13:08:43 +0200

layer-shell-qt (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:19:54 +0200

## layer-shell-qt 6.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "6.1.4")
+set(PROJECT_VERSION "6.1.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
layer-shell-qt (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:59:47 +0100

=== debian/control ===
Source: layer-shell-qt
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               libwayland-bin,
               libwayland-dev (>= 1.3~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-wayland-dev (>= 6.6.0~),
               qt6-wayland-private-dev (>= 6.6.0~),
               wayland-protocols,
Standards-Version: 4.7.0
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
Rules-Requires-Root: no

Package: layer-shell-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: use the Wayland wl-layer-shell protocol - plugin
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package contains the plugin.

Package: liblayershellqtinterface-dev
Architecture: any
Section: libdevel
Depends: liblayershellqtinterface6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: use the Wayland wl-layer-shell protocol - development files
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the development files.

Package: liblayershellqtinterface6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: layer-shell-qt (= ${binary:Version}),
Description: use the Wayland wl-layer-shell protocol - run-time library
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the library.

Package: qml6-module-org-kde-layershell
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: use the Wayland wl-layer-shell protocol - QML module
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package contains the QML module.

## layer-shell-qt 6.2.3

=== debian/changelog ===
layer-shell-qt (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 25 Nov 2024 23:16:35 +0100

layer-shell-qt (6.2.1-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 25 Nov 2024 19:23:20 +0100

layer-shell-qt (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:47:26 +0200

layer-shell-qt (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:42 +0200

layer-shell-qt (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Drop useless ${shlibs:Depends} for liblayershellqtinterface-dev.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:42 +0200

layer-shell-qt (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: layer-shell-qt
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.2.0~),
+               dh-sequence-qmldeps,
+               extra-cmake-modules (>= 6.5.0~),
                libwayland-bin,
                libwayland-dev (>= 1.3~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.6.0+dfsg~),
                qt6-base-private-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
-               qt6-wayland-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.7.0~),
+               qt6-wayland-dev (>= 6.7.0~),
                qt6-wayland-private-dev (>= 6.6.0~),
                wayland-protocols,
 Standards-Version: 4.7.0
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt.git
 Rules-Requires-Root: no
 
 Package: layer-shell-qt
@@ -39,9 +39,9 @@
 Architecture: any
 Section: libdevel
 Depends: liblayershellqtinterface6 (= ${binary:Version}),
+         qml6-module-org-kde-layershell (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0+dfsg~),
          ${misc:Depends},
-         ${shlibs:Depends},
 Description: use the Wayland wl-layer-shell protocol - development files
  Qt component to allow applications to make use of the Wayland
  wl-layer-shell protocol.
@@ -63,7 +63,7 @@
 Package: qml6-module-org-kde-layershell
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: use the Wayland wl-layer-shell protocol - QML module
  Qt component to allow applications to make use of the Wayland
  wl-layer-shell protocol.

## layer-shell-qt 6.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION "6.2.4")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(CMAKE_C_STANDARD 99)
 
-set(QT_MIN_VERSION "6.6.0")
-set(KF6_MIN_VERSION "6.2.0")
+set(QT_MIN_VERSION "6.7.0")
+set(KF6_MIN_VERSION "6.5.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
layer-shell-qt (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:22:39 +0100

## layer-shell-qt 6.2.5

=== debian/changelog ===
layer-shell-qt (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:57:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.5.0~),
                libwayland-bin,
                libwayland-dev (>= 1.3~),

## layer-shell-qt 6.2.90

=== debian/changelog ===
layer-shell-qt (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 04:20:13 +0000

layer-shell-qt (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:01:20 +0000

layer-shell-qt (6.2.4-0ubuntu4) plucky; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 00:39:57 -0600

layer-shell-qt (6.2.4-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 18:59:07 -0600

layer-shell-qt (6.2.4-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 18:59:07 -0600

layer-shell-qt (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:14:10 +0000

layer-shell-qt (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:57:21 +0000

layer-shell-qt (6.1.5-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:07:10 +0100

=== debian/control ===
Source: layer-shell-qt
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.10.0~),
               libwayland-bin,
               libwayland-dev (>= 1.3~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0+dfsg~),
               qt6-base-private-dev (>= 6.7.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0+dfsg~),
               qt6-wayland-dev (>= 6.7.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
               wayland-protocols,
Standards-Version: 4.7.0
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
Rules-Requires-Root: no

Package: layer-shell-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: use the Wayland wl-layer-shell protocol - plugin
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package contains the plugin.

Package: liblayershellqtinterface-dev
Architecture: any
Section: libdevel
Depends: liblayershellqtinterface6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: use the Wayland wl-layer-shell protocol - development files
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the development files.

Package: liblayershellqtinterface6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: layer-shell-qt (= ${binary:Version}),
Description: use the Wayland wl-layer-shell protocol - run-time library
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the library.

Package: qml6-module-org-kde-layershell
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: use the Wayland wl-layer-shell protocol - QML module
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package contains the QML module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
	rm -rf .clang-format
	dh_clean

## layer-shell-qt 6.2.91

=== debian/changelog ===
layer-shell-qt (6.2.91-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 14:12:57 -0600

layer-shell-qt (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:42:07 +0000

## layer-shell-qt 6.3.0

=== debian/changelog ===
layer-shell-qt (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:58:44 +0100

layer-shell-qt (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:51:23 +0100

layer-shell-qt (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:06:26 +0100

## layer-shell-qt 6.3.1

=== debian/changelog ===
layer-shell-qt (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:23:27 +0000

layer-shell-qt (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:55:35 +0000

## layer-shell-qt 6.3.2

=== debian/changelog ===
layer-shell-qt (6.3.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Mar 2025 16:51:04 +0000

layer-shell-qt (6.3.2-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * CI: simplify/improve config.
  * Stop removing .clang-format on clean, as that file does not exist anymore.
  * Drop the private symbols of Wayland interfaces, which are hidden when
    generated using Qt 6.8.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Mar 2025 16:58:19 +0100

layer-shell-qt (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:51:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                libwayland-bin,
                libwayland-dev (>= 1.3~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-base-private-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-private-dev (>= 6.6.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0~),
                qt6-wayland-dev (>= 6.7.0~),
-               qt6-wayland-private-dev (>= 6.7.0~),
+               qt6-wayland-private-dev (>= 6.6.0~),
                wayland-protocols,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
@@ -39,9 +40,9 @@
 Architecture: any
 Section: libdevel
 Depends: liblayershellqtinterface6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0+dfsg~),
+         qml6-module-org-kde-layershell (= ${binary:Version}),
+         qt6-base-dev (>= 6.6.0+dfsg~),
          ${misc:Depends},
-         ${shlibs:Depends},
 Description: use the Wayland wl-layer-shell protocol - development files
  Qt component to allow applications to make use of the Wayland
  wl-layer-shell protocol.
@@ -63,7 +64,7 @@
 Package: qml6-module-org-kde-layershell
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: use the Wayland wl-layer-shell protocol - QML module
  Qt component to allow applications to make use of the Wayland
  wl-layer-shell protocol.

## layer-shell-qt 6.3.3

=== debian/changelog ===
layer-shell-qt (6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:06:21 -0500

layer-shell-qt (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:20:13 +0000

## layer-shell-qt 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "6.2.4")
+set(PROJECT_VERSION "6.3.4")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(CMAKE_C_STANDARD 99)
 
 set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.5.0")
+set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -55,8 +55,8 @@
 
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
-ecm_set_disabled_deprecation_versions(QT 6.5
-    KF 5.240
+ecm_set_disabled_deprecation_versions(QT 6.8.1
+    KF 6.9.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
layer-shell-qt (6.3.4-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update the symbols file for Qt 6.9.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2025 22:16:26 +0200

layer-shell-qt (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 00:58:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: layer-shell-qt
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -23,9 +22,8 @@
                wayland-protocols,
 Standards-Version: 4.7.2
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt.git
 
 Package: layer-shell-qt
 Architecture: any

## layer-shell-qt 6.3.5

=== debian/changelog ===
layer-shell-qt (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:34:21 +0100

layer-shell-qt (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:56:07 +0100

## layer-shell-qt 6.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.4.4")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(CMAKE_C_STANDARD 99)
 
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -34,6 +34,11 @@
 include(KDEGitCommitHooks)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient Qml)
+
+if (Qt6WaylandClient_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6WaylandClientPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
+
 find_package(WaylandScanner REQUIRED)
 find_package(Wayland 1.3 COMPONENTS Client Server)
 find_package(WaylandProtocols REQUIRED)

=== debian/changelog ===
layer-shell-qt (6.4.4-0zneon+24.04+noble+release+build41) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 10:08:42 +0000

layer-shell-qt (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:03:20 +0000

layer-shell-qt (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:03:20 +0000

layer-shell-qt (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:29:57 +0000

layer-shell-qt (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:45:28 +0000

layer-shell-qt (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:19:30 +0000

layer-shell-qt (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:53:42 +0000

layer-shell-qt (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:04:15 +0000

layer-shell-qt (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:03:16 +0000

layer-shell-qt (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:06:32 +0000

layer-shell-qt (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:50:30 +0000

layer-shell-qt (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:26:38 +0000

layer-shell-qt (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:13:39 +1000

layer-shell-qt (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:30:05 +0000

layer-shell-qt (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:08:10 +0000

layer-shell-qt (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:00:40 +0000

layer-shell-qt (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:06:59 +0000

layer-shell-qt (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:35:04 +0000

layer-shell-qt (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:19:45 +0000

layer-shell-qt (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:28:12 +0000

layer-shell-qt (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:04:20 +0000

layer-shell-qt (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:37:20 +0000

layer-shell-qt (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:56:43 +0000

layer-shell-qt (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:15:45 +0000

layer-shell-qt (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:47:46 +0000

layer-shell-qt (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:10:38 +0000

layer-shell-qt (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:20:30 +0000

layer-shell-qt (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:13:24 +1000

layer-shell-qt (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:49:33 +0000

layer-shell-qt (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:58:30 +0000

layer-shell-qt (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:05:58 +0000

layer-shell-qt (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:21:40 +0000

layer-shell-qt (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:06:36 +0000

layer-shell-qt (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:34:50 +0000

layer-shell-qt (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:29:50 +0000

layer-shell-qt (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:10:49 +0000

layer-shell-qt (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:03:24 +0000

layer-shell-qt (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:33:38 +0000

layer-shell-qt (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:25:33 +0000

layer-shell-qt (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:43:48 +0000

layer-shell-qt (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:43:10 +0000

layer-shell-qt (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:22:57 +0000

layer-shell-qt (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:00:36 +0000

layer-shell-qt (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:40:15 +0000

layer-shell-qt (5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:12:52 +0000

layer-shell-qt (5.25.3-0neon) focal; urgency=medium



## layer-shell-qt 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "6.4.4")
+set(PROJECT_VERSION "6.4.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
layer-shell-qt (6.4.5-0ubuntu3) questing; urgency=medium

  * Update symbols with Qt 6.9

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 17:58:05 +0100

layer-shell-qt (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:02:18 +0100

layer-shell-qt (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:29:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: layer-shell-qt
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.14.0~),
                libwayland-bin,
                libwayland-dev (>= 1.3~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-base-private-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0~),
-               qt6-wayland-dev (>= 6.7.0~),
-               qt6-wayland-private-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-wayland-dev (>= 6.8.0~),
+               qt6-wayland-private-dev (>= 6.8.0~),
                wayland-protocols,
 Standards-Version: 4.7.2
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
+Rules-Requires-Root: no
 
 Package: layer-shell-qt
 Architecture: any
@@ -39,7 +41,7 @@
 Section: libdevel
 Depends: liblayershellqtinterface6 (= ${binary:Version}),
          qml6-module-org-kde-layershell (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Description: use the Wayland wl-layer-shell protocol - development files
  Qt component to allow applications to make use of the Wayland

## layer-shell-qt 6.4.5+p24.04+vstable+git20251003.0300

=== debian/changelog ===
layer-shell-qt (6.4.5+p24.04+vstable+git20251003.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 03:00:55 +0000

layer-shell-qt (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:58:11 +0000

## layer-shell-qt 6.4.5+p24.04+vstable+git20251004.0505

=== debian/changelog ===
layer-shell-qt (6.4.5+p24.04+vstable+git20251004.0505-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:05:05 +0000

## layer-shell-qt 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(CMAKE_C_STANDARD 99)
 
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== src/declarative/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Aleix Pol Gonzalez <aleix.pol_gonzalez@mercedes-benz.com>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(LayerShellQtQml
                  URI "org.kde.layershell"
                  VERSION 1.0
                  SOURCES types.h types.cpp
                  GENERATE_PLUGIN_SOURCE)
target_link_libraries(LayerShellQtQml PRIVATE Qt::Qml LayerShellQtInterface)

ecm_finalize_qml_module(LayerShellQtQml DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
layer-shell-qt (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.4.91.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:12:59 +0200

## layer-shell-qt 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.0")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(CMAKE_C_STANDARD 99)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Aleix Pol Gonzalez <aleixpol@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

remove_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)

add_library(LayerShellQtInterface)

qt6_extract_metatypes(LayerShellQtInterface)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt6_generate_wayland_protocol_client_sources(LayerShellQtInterface
    ${private_code_option}
    FILES
        ${WaylandProtocols_DATADIR}/stable/xdg-shell/xdg-shell.xml
        ${WaylandProtocols_DATADIR}/staging/xdg-activation/xdg-activation-v1.xml
        ${CMAKE_CURRENT_SOURCE_DIR}/wlr-layer-shell-unstable-v1.xml
)

ecm_qt_declare_logging_category(LayerShellQtInterface
    HEADER
        layershellqt_logging.h
    IDENTIFIER
        LAYERSHELLQT
    CATEGORY_NAME
        layershellqt
)

target_sources(LayerShellQtInterface PRIVATE
    qwaylandxdgactivationv1.cpp
    qwaylandlayersurface.cpp
    qwaylandlayershellintegration.cpp
    interfaces/window.cpp
    interfaces/shell.cpp
)

target_link_libraries(LayerShellQtInterface PUBLIC Qt::Gui)
target_link_libraries(LayerShellQtInterface PRIVATE Qt::WaylandClientPrivate Wayland::Client PkgConfig::XKBCOMMON)
if (TARGET Qt::XkbCommonSupportPrivate)
    target_link_libraries(LayerShellQtInterface PRIVATE Qt::XkbCommonSupportPrivate)
endif()
target_include_directories(LayerShellQtInterface PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/LayerShellQt>"
                                              INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/>"
)

set_target_properties(LayerShellQtInterface PROPERTIES VERSION   ${LAYERSHELLQT_VERSION}
                                                       SOVERSION ${LAYERSHELLQT_SOVERSION}
                                                       EXPORT_NAME Interface
)

add_library(layer-shell SHARED qwaylandlayershellintegrationplugin.cpp)
target_link_libraries(layer-shell LayerShellQtInterface Qt::WaylandClient Qt::WaylandClientPrivate Wayland::Client PkgConfig::XKBCOMMON)
if (TARGET Qt::XkbCommonSupportPrivate)
    target_link_libraries(layer-shell Qt::XkbCommonSupportPrivate)
endif()

ecm_generate_headers(LayerShellQt_HEADERS
    HEADER_NAMES
        Shell
        Window
    RELATIVE interfaces/
    REQUIRED_HEADERS LayerShellQt_HEADERS
)


generate_export_header(LayerShellQtInterface
    BASE_NAME LayerShellQtInterface
    EXPORT_MACRO_NAME LAYERSHELLQT_EXPORT
    EXPORT_FILE_NAME LayerShellQt/layershellqt_export.h
)

install(TARGETS layer-shell
        LIBRARY DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/wayland-shell-integration)

install(TARGETS LayerShellQtInterface EXPORT LayerShellQtTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${LayerShellQt_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/LayerShellQt/layershellqt_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/LayerShellQt COMPONENT Devel
)

add_subdirectory(declarative)

=== debian/changelog ===
layer-shell-qt (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:58:14 +0200

=== debian/control ===
Source: layer-shell-qt
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libwayland-bin,
               libwayland-dev (>= 1.3~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-private-dev (>= 6.6.0~),
               wayland-protocols,
Standards-Version: 4.7.2
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt.git

Package: layer-shell-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: use the Wayland wl-layer-shell protocol - plugin
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package contains the plugin.

Package: liblayershellqtinterface-dev
Architecture: any
Section: libdevel
Depends: liblayershellqtinterface6 (= ${binary:Version}),
         qml6-module-org-kde-layershell (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Description: use the Wayland wl-layer-shell protocol - development files
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the development files.

Package: liblayershellqtinterface6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: layer-shell-qt (= ${binary:Version}),
Description: use the Wayland wl-layer-shell protocol - run-time library
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the library.

Package: qml6-module-org-kde-layershell
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: use the Wayland wl-layer-shell protocol - QML module
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package contains the QML module.

## layer-shell-qt 6.5.0+p24.04+vstable+git20251021.0722

=== debian/changelog ===
layer-shell-qt (6.5.0+p24.04+vstable+git20251021.0722-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 07:22:36 +0000

layer-shell-qt (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:26:18 +0000

=== debian/control ===
Source: layer-shell-qt
Section: kde
Priority: optional
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libwayland-bin,
               libwayland-dev (>= 1.3~),
               libxkbcommon-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               wayland-protocols
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/layer-shell-qt.git
Vcs-Browser: https://invent.kde.org/neon/kde/layer-shell-qt
Maintainer: Neon CI <neon@kde.org>

Package: layer-shell-qt
Architecture: any
Depends: liblayershellqtinterface6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: use the Wayland wl-layer-shell protocol.
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package contains the plugin.

Package: liblayershellqtinterface-dev
Architecture: any
Depends: liblayershellqtinterface6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: use the Wayland wl-layer-shell protocol.
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the development files.

Package: liblayershellqtinterface6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: liblayershellqtinterface5 (<< 6.0.0)
Description: use the Wayland wl-layer-shell protocol.
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the library.

## layer-shell-qt 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
layer-shell-qt (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:09:03 +0100

## layer-shell-qt 6.5.1+p24.04+vstable+git20251029.0709

=== debian/changelog ===
layer-shell-qt (6.5.1+p24.04+vstable+git20251029.0709-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:09:23 +0000

layer-shell-qt (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:51:02 +0000
